unit aniunit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileCtrl, StdCtrls, anifile, ExtCtrls;

type
  Tfrm_Main = class(TForm)
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    Panel1: TPanel;
    chk_Animated: TCheckBox;
    DriveComboBox1: TDriveComboBox;
    Button1: TButton;
    AniIcon1: TAniIcon;
    Label1: TLabel;
    procedure DirectoryListBox1Change(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure chk_AnimatedClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FileListBox1KeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure DeleteItem;
    procedure FileListBox1Change(Sender: TObject);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frm_Main: Tfrm_Main;

implementation

{$R *.DFM}

{==============================================================================}
function TheWindowsDirectory: string;
var
   WinDir: PChar;
   WindowsDirectory: string;
begin
   GetMem(WinDir, 144);
   GetWindowsDirectory(WinDir, 144);
   WindowsDirectory := StrPas(WinDir);
   FreeMem(WinDir, 144);
   result := WindowsDirectory;
end;
{==============================================================================}
procedure Tfrm_Main.DirectoryListBox1Change(Sender: TObject);
begin
   FileListBox1.Directory := DirectoryListBox1.Directory;
end;
{==============================================================================}
procedure Tfrm_Main.FormCreate(Sender: TObject);
var
   StartParam: string;
begin
   StartParam := UpperCase(ParamStr(1));
   if StartParam <> '' then
      begin
         AniIcon1.AniFile.LoadFromFile(StartParam);
         DirectoryListBox1.Directory := ExtractFileDir(StartParam);
         FileListBox1.FileName := StartParam;
      end
   else
      DirectoryListBox1.Directory := TheWindowsDirectory + '\CURSORS\';
end;
{==============================================================================}
procedure Tfrm_Main.chk_AnimatedClick(Sender: TObject);
begin
   AniIcon1.Animated := chk_Animated.Checked;
end;
{==============================================================================}
procedure Tfrm_Main.Button1Click(Sender: TObject);
begin
   Close;
end;
{==============================================================================}
procedure Tfrm_Main.FileListBox1KeyUp(Sender: TObject; var Key: Word; Shift: TShiftState);
begin
   case Key of
      46:   DeleteItem;
      113:  ShowMessage(FileListBox1.FileName);
   end;
end;
{==============================================================================}
procedure Tfrm_Main.DeleteItem;
var
   TempIndex: Integer;
begin
   TempIndex := FileListBox1.ItemIndex;
   DeleteFile(FileListBox1.FileName);
   FileListBox1.Update;
   FileListBox1.ItemIndex := TempIndex;
   FileListBox1Change(nil);
end;
{==============================================================================}
procedure Tfrm_Main.FileListBox1Change(Sender: TObject);
begin
   AniIcon1.AniFile.LoadFromFile(FileListBox1.FileName);
end;
{==============================================================================}
end.
